Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#3654 Local plugins are now invisible in jEdit 4.5.0

closed-invalid
nobody
5
2012-02-25
2012-02-19
Ken Turner
No

On switching from jEdit 4.4.N to jEdit 4.5.0, my own plugins (loaded from my own .jEdit directory rather than the shared one) are now invisible. According to the activity log and the plugin manager, the plugins are loaded. The activity log shows no errors. However, they do not appear in the Plugins menu.

To take one example, I have a modified version of the Spell Check plugin. I have recompiled this against jEdit 4.5.0, but it still does not appear in the Plugins menu.

Is this due to a bug, a new configuration feature, or a subtle change in API? If my plugins need updating from 4.4 to 4.5, where is the information that tells me how to do this? Thanks!

Discussion

  • Alan Ezust
    Alan Ezust
    2012-02-24

    Please give me steps to reproduce your issue.
    I can still see local plugins when I run 4.5.0

     
  • Ken Turner
    Ken Turner
    2012-02-24

     
    Attachments
  • Ken Turner
    Ken Turner
    2012-02-24

    As an example, here is what happens to one of my plugins (a modified version of Spell Check).

    After launching jEdit 4.5 I see the following in the activity log:

    19:57:54 [main] [debug] PluginJAR: Opening C:\Documents and Settings\me\.jedit\jars\SpellCheck.jar

    19:57:54 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=R006,source=C:\Documents and Settings\me\.jedit\jars\SpellCheck.jar,class=cswilly.jeditPlugins.spell.SpellCheckPlugin]

    19:57:54 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=R006,source=C:\Documents and Settings\me\.jedit\jars\SpellCheck.jar,class=cswilly.jeditPlugins.spell.SpellCheckPlugin]

    Plugin Manager reports:

    Spell Check R006 Loaded <unknown>

    However, the plugins menu does not list Spell Check (though other plugins are listed OK). Although the Spell Check JAR is being loaded from my personal ~/.jedit directory, I get the same behaviour if I place this JAR in the main jEdit directory.

    I have tried starting jEdit with the *only* JAR being jEdit/jars/SpellCheck.jar. It still doesn't appear in the plugin menu.

    When I repeat this exercise with jEdit 4.4.2, Spell Check (and similar plugins) appear normally in the plugins menu.

    I attach the Spell Check JAR for you to try.

    Thanks for your help.

     
  • Dale Anson
    Dale Anson
    2012-02-24

    It looks like this plugin is way out of date. Read through the jEdit help section about the properties file for plugins. The menu entries in the jar file you attached are not right. I'm surprised this worked in any jEdit version since about 4.1. Why can't you use the latest SpellCheck plugin from Plugin Manager? It seems to work just fine. If you can't, take a look at the properties file in the latest:

    http://jedit.svn.sourceforge.net/viewvc/jedit/plugins/SpellCheck/trunk/SpellCheckPlugin.props?revision=20173&view=markup&pathrev=20247

    The menu properties there are correct and properly add the plugin to the plugin menu.

     
  • Ken Turner
    Ken Turner
    2012-02-24

    Thanks for the clarification. I used Spell Check as one example. I have a variant of this as I had previously modified it for my own purposes. (I did share my changes with the maintainer at the time.)

    But I have other plugins I developed myself. These really all have been working up to 4.4.2.

    You've confirmed my suspicion that something needs to be updated. As this problem first appeared in 4.5, it seemed like that was the critical point of change. However, it may be that a change had been needed for a while. For someone like myself who works on plugins irregularly, the implications of a newer version of jEdit aren't immediately obvious.

    I'll look specifically at the version of Spell Check that you mention as it will no doubt indicate the generic changes I have to make.

    Thanks for your help.

     
  • Alan Ezust
    Alan Ezust
    2012-02-24

    • status: open --> pending-invalid
     
  • Alan Ezust
    Alan Ezust
    2012-02-24

    Please submit a new bug against a released version (from plugin manager) of a plugin if you find an issue.

     
  • Ken Turner
    Ken Turner
    2012-02-25

    It turns out that changes I proposed to Spell Check quite a while ago have in fact been incorporated. I can therefore now use the standard version rather than my modified version.

    I'm currently working through the plugin documentation to find what the key changes have been. Once I've done that, I'll add a comment here about what needs to be changed in case it helps anyone else with an old plugin.

     
  • Ken Turner
    Ken Turner
    2012-02-25

    • status: pending-invalid --> open-invalid
     
  • Alan Ezust
    Alan Ezust
    2012-02-25

    • status: open-invalid --> closed-invalid